<!DOCTYPE html>
<html class="writer-html5" lang="en" >
<head>
  <meta charset="utf-8" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <title>scripts.multiple_candidates.scripts_ana.a_find_multiple_candidates package &mdash; RDstar_light  documentation</title>
      <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
      <link rel="stylesheet" href="_static/css/theme.css" type="text/css" />
  <!--[if lt IE 9]>
    <script src="_static/js/html5shiv.min.js"></script>
  <![endif]-->
  
        <script data-url_root="./" id="documentation_options" src="_static/documentation_options.js"></script>
        <script src="_static/jquery.js"></script>
        <script src="_static/underscore.js"></script>
        <script src="_static/_sphinx_javascript_frameworks_compat.js"></script>
        <script src="_static/doctools.js"></script>
    <script src="_static/js/theme.js"></script>
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" />
    <link rel="next" title="scripts.multiple_candidates.scripts_ana.b_find_shared_particles package" href="scripts.multiple_candidates.scripts_ana.b_find_shared_particles.html" />
    <link rel="prev" title="scripts.multiple_candidates.scripts_ana package" href="scripts.multiple_candidates.scripts_ana.html" /> 
</head>

<body class="wy-body-for-nav"> 
  <div class="wy-grid-for-nav">
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >
            <a href="index.html" class="icon icon-home"> RDstar_light
          </a>
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>
        </div><div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="Navigation menu">
              <ul class="current">
<li class="toctree-l1"><a class="reference internal" href="lib.html">lib package</a></li>
<li class="toctree-l1 current"><a class="reference internal" href="scripts.html">scripts.multiple_candidates package</a><ul class="current">
<li class="toctree-l2"><a class="reference internal" href="scripts.html#multiple-candidates">Multiple candidates</a></li>
<li class="toctree-l2"><a class="reference internal" href="scripts.html#subpackages">Subpackages</a></li>
<li class="toctree-l2 current"><a class="reference internal" href="scripts.html#scripts">Scripts</a><ul class="current">
<li class="toctree-l3 current"><a class="reference internal" href="scripts.multiple_candidates.scripts_ana.html">scripts.multiple_candidates.scripts_ana package</a><ul class="current">
<li class="toctree-l4 current"><a class="current reference internal" href="#">scripts.multiple_candidates.scripts_ana.a_find_multiple_candidates package</a></li>
<li class="toctree-l4"><a class="reference internal" href="scripts.multiple_candidates.scripts_ana.b_find_shared_particles.html">scripts.multiple_candidates.scripts_ana.b_find_shared_particles package</a></li>
<li class="toctree-l4"><a class="reference internal" href="scripts.multiple_candidates.scripts_ana.c_compare_multiple_candidates.html">scripts.multiple_candidates.scripts_ana.c_compare_multiple_candidates package</a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="scripts.multiple_candidates.scripts_select.html">scripts.multiple_candidates.scripts_select package</a></li>
</ul>
</li>
</ul>
</li>
</ul>

        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap"><nav class="wy-nav-top" aria-label="Mobile navigation menu" >
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="index.html">RDstar_light</a>
      </nav>

      <div class="wy-nav-content">
        <div class="rst-content">
          <div role="navigation" aria-label="Page navigation">
  <ul class="wy-breadcrumbs">
      <li><a href="index.html" class="icon icon-home"></a> &raquo;</li>
          <li><a href="scripts.html">scripts.multiple_candidates package</a> &raquo;</li>
          <li><a href="scripts.multiple_candidates.scripts_ana.html">scripts.multiple_candidates.scripts_ana package</a> &raquo;</li>
      <li>scripts.multiple_candidates.scripts_ana.a_find_multiple_candidates package</li>
      <li class="wy-breadcrumbs-aside">
            <a href="_sources/scripts.multiple_candidates.scripts_ana.a_find_multiple_candidates.rst.txt" rel="nofollow"> View page source</a>
      </li>
  </ul>
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
             
  <div class="section" id="scripts-multiple-candidates-scripts-ana-a-find-multiple-candidates-package">
<h1>scripts.multiple_candidates.scripts_ana.a_find_multiple_candidates package<a class="headerlink" href="#scripts-multiple-candidates-scripts-ana-a-find-multiple-candidates-package" title="Permalink to this heading"></a></h1>
<div class="section" id="module-scripts.multiple_candidates.scripts_ana.a_find_multiple_candidates.config">
<span id="scripts-multiple-candidates-scripts-ana-a-find-multiple-candidates-config-module"></span><h2>scripts.multiple_candidates.scripts_ana.a_find_multiple_candidates.config module<a class="headerlink" href="#module-scripts.multiple_candidates.scripts_ana.a_find_multiple_candidates.config" title="Permalink to this heading"></a></h2>
<p>Configuration of the scripts
<code class="xref py py-mod docutils literal notranslate"><span class="pre">multiple_candidates.scripts_ana.a_find_multiple_candidates.run</span></code> and
<code class="xref py py-mod docutils literal notranslate"><span class="pre">multiple_candidates.scripts_ana.a_find_multiple_candidates.run_stats_all</span></code></p>
<dl class="py data">
<dt class="sig sig-object py" id="scripts.multiple_candidates.scripts_ana.a_find_multiple_candidates.config.dict_plotted_columns">
<span class="sig-prename descclassname"><span class="pre">scripts.multiple_candidates.scripts_ana.a_find_multiple_candidates.config.</span></span><span class="sig-name descname"><span class="pre">dict_plotted_columns</span></span><em class="property"><span class="w"> </span><span class="p"><span class="pre">=</span></span><span class="w"> </span><span class="pre">{'candidate_hist_single_multiple':</span> <span class="pre">['FitVar_Mmiss2',</span> <span class="pre">'FitVar_El',</span> <span class="pre">'FitVar_q2'],</span> <span class="pre">'event_hist_single_multiple':</span> <span class="pre">['nVeloTracks',</span> <span class="pre">'nVeloClusters',</span> <span class="pre">'nTracks',</span> <span class="pre">'nSPDHits']}</span></em><a class="headerlink" href="#scripts.multiple_candidates.scripts_ana.a_find_multiple_candidates.config.dict_plotted_columns" title="Permalink to this definition"></a></dt>
<dd><p>Associates a situation with the columns that are plotted</p>
<ul class="simple">
<li><p><code class="docutils literal notranslate"><span class="pre">candidate_hist_single_multiple</span></code>: histograms of candidates in single and multiple candidates</p></li>
<li><p><code class="docutils literal notranslate"><span class="pre">event_hist_single_multiple</span></code> histograms of events in single and multiple candidates (the columns must depend only on the event)</p></li>
</ul>
</dd></dl>

</div>
<div class="section" id="module-scripts.multiple_candidates.scripts_ana.a_find_multiple_candidates.run">
<span id="scripts-multiple-candidates-scripts-ana-a-find-multiple-candidates-run-script"></span><h2>scripts.multiple_candidates.scripts_ana.a_find_multiple_candidates.run script<a class="headerlink" href="#module-scripts.multiple_candidates.scripts_ana.a_find_multiple_candidates.run" title="Permalink to this heading"></a></h2>
<p>Find multiple candidates and save the output in a JSON file.
Also plot comparisons between single and multiple candidates and events,
and the candidates multiplicity of the events. The columns that are
plotted are defined in <code class="docutils literal notranslate"><span class="pre">config.py</span></code>.</p>
<p>To find the multiple candidates of the data samples, run</p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">python</span> <span class="o">./</span><span class="n">a_find_multiple_candidates</span><span class="o">/</span><span class="n">run</span><span class="o">.</span><span class="n">py</span> <span class="o">-</span><span class="n">f</span> <span class="p">{</span><span class="n">flavour</span><span class="p">}</span>
</pre></div>
</div>
<p>where <code class="docutils literal notranslate"><span class="pre">{flavour}</span></code> is either <code class="docutils literal notranslate"><span class="pre">Electron`</span> <span class="pre">(for</span> <span class="pre">electrons)</span> <span class="pre">and</span> <span class="pre">``Mu</span></code>
(for muons).
You can also use the <code class="docutils literal notranslate"><span class="pre">-np</span></code> flag in order not to produce the plot.</p>
<p>The paths are defined in <cite>definition/paths.py</cite> but they can be changed, by
using the arguments <code class="docutils literal notranslate"><span class="pre">-i</span> <span class="pre">{indir}</span></code> and <code class="docutils literal notranslate"><span class="pre">-o</span> <span class="pre">{outdir}</span></code>, where</p>
<ul class="simple">
<li><p><code class="docutils literal notranslate"><span class="pre">indir</span></code> is the path of the folder where the ROOT files are located</p></li>
<li><p><code class="docutils literal notranslate"><span class="pre">outdir</span></code> is the path of the folder where all the outputs are located</p></li>
</ul>
<p>According to  <code class="xref py py-mod docutils literal notranslate"><span class="pre">multiple_candidates.definition.paths</span></code>,
note that the ROOT file names  must be <code class="docutils literal notranslate"><span class="pre">&quot;B02Dstar{flavour}_{y}M{m}.root&quot;</span></code>,
where</p>
<ul class="simple">
<li><p><code class="docutils literal notranslate"><span class="pre">flavour</span></code> is the flavour (<code class="docutils literal notranslate"><span class="pre">Electron</span></code> or <code class="docutils literal notranslate"><span class="pre">Mu</span></code>)</p></li>
<li><p><code class="docutils literal notranslate"><span class="pre">y</span></code> is the year (<code class="docutils literal notranslate"><span class="pre">2016</span></code>, <code class="docutils literal notranslate"><span class="pre">2017</span></code> or <code class="docutils literal notranslate"><span class="pre">2018</span></code>)</p></li>
<li><p><code class="docutils literal notranslate"><span class="pre">m</span></code> is the magnet polarisation (<code class="docutils literal notranslate"><span class="pre">U</span></code> or <code class="docutils literal notranslate"><span class="pre">D</span></code>)</p></li>
</ul>
</div>
<div class="section" id="module-scripts.multiple_candidates.scripts_ana.a_find_multiple_candidates.run_stats_all">
<span id="scripts-multiple-candidates-scripts-ana-a-find-multiple-candidates-run-stats-all-script"></span><h2>scripts.multiple_candidates.scripts_ana.a_find_multiple_candidates.run_stats_all script<a class="headerlink" href="#module-scripts.multiple_candidates.scripts_ana.a_find_multiple_candidates.run_stats_all" title="Permalink to this heading"></a></h2>
<p>Compare the amount of multiple candidates in data and the
MC samples. This script produces a table that summarises the amount of
multiple candidates in every script, and plot them as well (as it
is easier to analyse plots than numbers in tables).</p>
<p>To run this script:</p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">python</span> <span class="o">./</span><span class="n">c_compare_multiple_candidates</span><span class="o">/</span><span class="n">run</span><span class="o">.</span><span class="n">py</span> <span class="p">(</span><span class="o">-</span><span class="n">o</span> <span class="p">{</span><span class="n">outdir</span><span class="p">})</span>
</pre></div>
</div>
<p>where the path to the OUTPUT directory can be specifed.</p>
<dl class="py function">
<dt class="sig sig-object py" id="scripts.multiple_candidates.scripts_ana.a_find_multiple_candidates.run_stats_all.sum_dict_values">
<span class="sig-prename descclassname"><span class="pre">scripts.multiple_candidates.scripts_ana.a_find_multiple_candidates.run_stats_all.</span></span><span class="sig-name descname"><span class="pre">sum_dict_values</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">dic</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="_modules/scripts/multiple_candidates/scripts_ana/a_find_multiple_candidates/run_stats_all.html#sum_dict_values"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#scripts.multiple_candidates.scripts_ana.a_find_multiple_candidates.run_stats_all.sum_dict_values" title="Permalink to this definition"></a></dt>
<dd><p>Get the sum of the values of a dictionnary.</p>
</dd></dl>

</div>
</div>


           </div>
          </div>
          <footer><div class="rst-footer-buttons" role="navigation" aria-label="Footer">
        <a href="scripts.multiple_candidates.scripts_ana.html" class="btn btn-neutral float-left" title="scripts.multiple_candidates.scripts_ana package" accesskey="p" rel="prev"><span class="fa fa-arrow-circle-left" aria-hidden="true"></span> Previous</a>
        <a href="scripts.multiple_candidates.scripts_ana.b_find_shared_particles.html" class="btn btn-neutral float-right" title="scripts.multiple_candidates.scripts_ana.b_find_shared_particles package" accesskey="n" rel="next">Next <span class="fa fa-arrow-circle-right" aria-hidden="true"></span></a>
    </div>

  <hr/>

  <div role="contentinfo">
    <p>&#169; Copyright .</p>
  </div>

  Built with <a href="https://www.sphinx-doc.org/">Sphinx</a> using a
    <a href="https://github.com/readthedocs/sphinx_rtd_theme">theme</a>
    provided by <a href="https://readthedocs.org">Read the Docs</a>.
   

</footer>
        </div>
      </div>
    </section>
  </div>
  <script>
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script> 

</body>
</html>